# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
name = "ommui_data"
version = "0.6.2"
authors = ["Wolfgang Silbermayr <wolfgang@silbermayr.at>"]
description = "OMMUI data structures"
homepage = "https://gitlab.com/ommui/ommui_data"
documentation = "https://docs.rs/ommui_data"
license = "AGPL-3.0+"
repository = "https://gitlab.com/ommui/ommui_data"
[dependencies.chrono]
version = "0.4.6"
features = ["serde"]

[dependencies.indexmap]
version = "1"
features = ["serde-1"]

[dependencies.ommui_file_loading]
version = "0.6.0"

[dependencies.ommui_string_patterns]
version = "0.1.2"

[dependencies.reqwest]
version = "0.9.5"
optional = true

[dependencies.serde]
version = "1.0.80"

[dependencies.serde_derive]
version = "1.0.80"

[dependencies.serde_json]
version = "1.0.33"

[dependencies.snafu]
version = "0.4.1"

[dependencies.uuid]
version = "0.7.1"
features = ["serde", "v4"]

[features]
client = ["reqwest"]
default = ["client"]
filesystem = []
